@echo off
cls
rem **********************************************************************
rem * INSTALL.BAT                                                        *
rem * This batch file calls the appropriate install executable           *
rem * for Autodesk or MicroStation PowerPac drivers                      *
rem * December, 1995                                                     *
rem **********************************************************************

rem @echo %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
rem @echo %            R.U.S.H             %
rem @echo %           Presents:            %
rem @echo % PowerPack 3.5 for Microstation %
rem @echo %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if "%1"=="" goto :Help
if "%1"=="acad" goto :Continue
if "%1"=="ustn" goto :Continue
if "%1"=="ACAD" goto :Continue
if "%1"=="USTN" goto :Continue
goto :Help

:Continue
if "%1"=="acad" goto :acad
if "%1"=="ustn" goto :ustn
if "%1"=="ACAD" goto :acad
if "%1"=="USTN" goto :ustn
goto :Help

:Help
@echo * RUSH PRESENTS POWERPAC FOR PANASTATION *
@echo * FOR DOS 3.0+ AND WINDOWS 3.X / 95 / NT *
pause
@echo * To install please use this syntax *
@echo Usage: "INSTALL [ USTN ]" 
@echo       USTN installs PowerPac for MicroStation 4.0
@echo Must be run from the A: or B: so you *MUST* subst
@echo          Example: INSTALL USTN    
goto :Exit
      
:acad
@echo Installing for Autodesk Products...
a:
cd\acad
install
goto :Exit

:ustn
@echo Installing for MicroStation 4.0x or 5.0x...
a:
cd\ustn
install
cd\
goto :Exit

:ACAD
@echo Installing for Autodesk products...
a:
cd\acad\
install
cd\
goto :Exit

:USTN
@echo Installing for MicroStation 4.0x or 5.0x...
a:
cd\ustn
install
cd\
goto :Exit

:Exit
